<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="pointer_xproperty">
  <refnamediv>
    <refname>pointer_xproperty</refname>
    <refpurpose>Get the type of a continuous time state variable</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>[xprop]=pointer_xproperty</synopsis>
  </refsynopsisdiv>
  <refsection id="Module_pointer_xproperty">
    <title>Module</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="scicos_manual">Scicos</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_pointer_xproperty">
    <title>Description</title>
    <para>
This function returns a vector that informs the type (algebraic or differential) of the continuous state variables of a block.  
</para>
    <para>
</para>
    <programlisting role="example"><![CDATA[ 
[xprop]=pointer_xproperty
 ]]></programlisting>
  </refsection>
  <refsection id="Parameters_pointer_xproperty">
    <title>Parameters</title>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">xprop</emphasis>
        </para>
        <para> The value gives the type of the states :</para>
        <itemizedlist>
          <listitem>
            <para>-1 : an algebraic state.
</para>
          </listitem>
          <listitem>
            <para>1  : a differential state.
    
</para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="SeeAlso_pointer_xproperty">
    <title>See Also</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="set_xproperty">set_xproperty - Set the type of a continuous time state variable (Scilab Function)</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
